#include <string.h>
#include <stdio.h>

#ifdef DEBUG
extern FILE * DEBUG;
#endif

char * backq(char * command)

/* Submit a command and wait for the reply. */

{ static char   vers[] = "@(#)backq.c	1.1 ARGOS 93/12/13 17:37:00";

    FILE       *po;
    static char   pobuff[2048];
    int nn = 0;

/* BUG NOTICE! popen only works if nothing kills stdin!
   We can not use popen later in the run unless we fix this. */

/* Also note that this is VERY slow,
   we should use a captive shell instead. */

   if ((po = popen(command, "r"))) {

/* Change any newlines to spaces. */

       pobuff[0] = 0;
       while (fgets(pobuff+nn, sizeof pobuff -nn, po)) {
           nn = strlen(pobuff);
           if (pobuff[nn-1] == '\n')
               pobuff[nn-1] = ' ';
           pobuff[nn] = 0;
       }

/* Drop a trailing space. */

       if (pobuff[nn-1] == ' ')
           pobuff[nn-1] = 0;

       pclose(po);

#ifdef DEBUG
       if (DEBUG) {
           fprintf(DEBUG, "BACKQ %s = %s\n", command, pobuff);
           fflush(DEBUG); }
#endif

       return pobuff;
   }

   return "backq: FAILED!";
}
