/* dec_d.c
   decimal string to double */

#include <stdio.h>
#include <string.h>

long dec_d(char *buff, int col, int ud, double *value)

{ static char     kws[] = "@(#)dec_d.c	1.1 ARGOS 93/12/13 17:37:04";

    double          valtemp;
    double          delta;

/* attempt to decode the current buffer */

    switch (sscanf(buff, "%lf", &valtemp)) {

/* correctly accepted all of the buffer but need more */

    case EOF:
	return 0;

/* accepted enough (but could have junk at end) */

    case 1:

/* add or subtract delta worth of position clicked */

	if (ud) {
	    delta = 1;
	    while (col-- > 0)
		delta *= 10;

/* we could force all digits right of the change to zero...

     ^
   12345 -> 12400

   12345 -> 12200
     v

   ask our first few users what they like. */

	    if (ud > 0)
		valtemp += delta;
	    else
		valtemp -= delta;
	}

	*value = valtemp;
	return 1;

/* something bad */

    default:
	return -1;
    }
}
