/* uitoc_comm.h
   @(#)uitoc_comm.h	1.1 ARGOS 93/12/13 17:37:22
   Global structures for user interface preprocessor.
   Use compile-time vs run-time ui defs. */

#ifndef UITOC_COMM
#define UITOC_COMM

#include "ui_defs.h"

/* Must declare once and ext ref elsewhere. */

#ifndef UITOC_EXTERN
#define UITOC_EXTERN extern
#endif

/* Syntax node tree is embedded here.
   Then written out as a declaration. */

UITOC_EXTERN UINODE Nodes[UIMaxNodes];

/* Stack of nodes being defined. */

UITOC_EXTERN int Active_Nodes[UIMaxDepth];
UITOC_EXTERN int Actives;

/* Sequencer. */

UITOC_EXTERN int Allocated;

#endif
