/* d_hhmmss.c
   double total seconds to hhmmss */

#include <stdio.h>
#include <string.h>

char * d_hhmmss(double value, int width)

{ static char   kws[] = "@(#)d_hhmmss.c	1.1 ARGOS 93/12/13 17:37:03";

  static char   buff[12];

    long    seconds = value;

    int     lhours = 0,
            lmins = 0;

/* fear of rounding!
   this is silly and slows us down.
   this could surely be done with division!
   the subtractions work correctly,
   large and small steps to avoid more small ones. */

/* extract whole hours worth and count as lhours */

    while (seconds >= 18000) {
	seconds -= 18000;
	lhours = lhours + 5;
    }

    while (seconds >= 3600) {
	seconds -= 3600;
	lhours = lhours + 1;
    }

/* extract whole minutes worth and count as lmins */

    while (seconds >= 1200) {
	seconds -= 1200;
	lmins += 20;
    }

    while (seconds >= 300) {
	seconds -= 300;
	lmins += 5;
    }

    while (seconds >= 60) {
	seconds -= 60;
	lmins += 1;
    }

 sprintf(buff, "%2.2d %2.2d %2.2d", lhours, lmins, seconds);
 return buff;

}
