/* degrs_l.c
   degrees string to long */

#include <stdio.h>
#include <string.h>

long degrs_l(char *buff, int col, int ud, long *value)

{ static char   kws[] = "@(#)degrs_l.c	1.1 ARGOS 93/12/13 17:37:05";

    long          valtemp;
    long          delta;

/* attempt to decode the current buffer */

    switch (sscanf(buff, "%d", &valtemp)) {

/* correctly accepted all of the buffer but still need more */

    case EOF:
	return 0;

/* accepted enough (but could have junk at end) */

    case 1:

/* add or subtract delta worth of position clicked */

	if (ud) {

/* notice click by 5 in the units column */

	    if (col == 0)
		delta = 5;
	    else if (col == 1)
		delta = 10;
	    else if (col == 2)
		delta = 100;
	    else
		delta = 0;

	    if (ud > 0)
		valtemp += delta;
	    else if (ud < 0)
		valtemp -= delta;
	}

/* wrap around degrees */

	while (valtemp < 0)
	    valtemp += 360;

	while (valtemp > 359)
	    valtemp -= 360;

	*value = valtemp;
	return 1;

/* something bad */

    default:
	return -1;
    }
}
