#include "gui_comm.h"

UIDATA * uiget(char *name)

/* Lookup named data in current dictionary stack,
   searching back down the active nodes until found or failure,
   return pointer to descriptor or null. */

{ static char   vers[] = "@(#)uiget.c	1.1 ARGOS 93/12/13 17:37:15";

    UIDATA    *ii;
    int level;

    if (!name || !strlen(name))
        return 0;

    for (level = Actives; level > 0; level--) {
        for (ii = Data[level];
           ii;
           ii = Data_Sibling(ii)) {
            if (strcasecmp(name, Data_Name(ii)) == 0)
                return (ii);
        }
    }
    return 0;
}
